Skip to content

Retrieve details about a specific SDK request profiling session.

GET/api/{version}/code/profiler/{session_name}
NameDescription
Acceptapplication/json
NameDescription
{session_name}The name of the session, for example, baseline__c.
curl -X GET -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v26.1/code/profiler/baseline__c
{ "responseStatus": "SUCCESS", "data": { "id": "0LS000000003002", "label": "Baseline", "name": "baseline__c", "description": null, "status": "complete__sys", "user_id": null, "created_date": "2024-08-23T23:22:00.000Z", "expiration_date": "2024-09-22T23:36:21.000Z" } }

On SUCCESS, the response includes the following data for each profiling session:

NameDescription
idThe numerical ID of this profiling session.
labelThe UI label of this profiling session. For example, "Baseline".
nameThe API name of this profiling session. For example, baseline__c. You can use this value to end the profiling session early, download the results, or delete the session.
descriptionThe description of this profiling session.
statusThe status of this session, either:
  • in_progress__sys: The session is actively running and collecting SDK request data.
  • processing__sys: The session is no longer running, but the session is still active as Vault processes the data. The results are not yet available for download.
  • complete__sys: The session is over, and the results are available for download. This session is inactive.
user_idThe ID of the user associated with this session. If null, this session applies to all users.
created_dateThe date this session was created, in the format YYYY-MM-DDTHH:MM:SS.000Z.
expiration_dateThe date this session will expire, in the format YYYY-MM-DDTHH:MM:SS.000Z. Once expired, Vault deletes the session and all session data.